/*
 * Infra Red protocols decoder
 * Author: Piotr Wjtowicz
 * 2016-2017
 * pw@elportal.pl
 */

#ifndef NECDEC_H_INCLUDED
#define NECDEC_H_INCLUDED

#include "irdecoder.h"

#define NEC_SCALE (128/2)

#define NEC_PREAMBLE_HI (9000/NEC_SCALE)
#define NEC_PREAMBLE_LOW (4500/NEC_SCALE)

#define NEC_BIT_LOW (560/NEC_SCALE)
#define NEC_BIT_HI (1690/NEC_SCALE)
#define NEC_MAXT (16383/NEC_SCALE)

#define NEC_EPS (128/NEC_SCALE)

void necPreLstate();
void necL1state();
void necH1state();
void necH2state();
void necAddBit(uint8_t bitValue);

#endif // NECDEC_H_INCLUDED
